Name:           pipenightdreams
Version:        0.10.0
Release:        18%{?dist}
Summary:        Connect the waterpipes to create a proper pipeline
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.libsdl.org/projects/pipenightdreams/
Source0:        http://www.libsdl.org/projects/pipenightdreams/packages/pipenightdreams-0.10.0.tar.bz2
Source1:        %{name}.desktop
Patch0:         pipenightdreams-0.10.0-gcc41.patch
Patch1:         pipenightdreams-0.10.0-datadir.patch
Patch2:         pipenightdreams-0.10.0-sanitize.patch
Patch3:         pipenightdreams-0.10.0-quit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel desktop-file-utils flex
Requires:       hicolor-icon-theme

%description
PipeNightDreams is a puzzle-game where you must race against the clock to
connect the waterpipes to create a proper pipeline before the water starts
flowing. It has 25 levels with increasing difficulty, and you can create
your own by just editing text files. It has a lot of cool graphics, score,
lives, required pipes per level and an easy and fast interface.


%prep
%setup -q
%patch0 -p1 -z .gcc41
%patch1 -p1 -z .datadir
%patch2 -p1 -z .sanitize
%patch3 -p1 -z .quit


%build
%configure
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/SDL"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# fix up the broken datadir install (its this or patch a zillion makefiles)
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name} $RPM_BUILD_ROOT%{_datadir}
rmdir $RPM_BUILD_ROOT%{_datadir}/games

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 images/pipes_space/horizontal.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README TODO COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/pipenightdreams.6.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.10.0-15
- Drop desktop vendor tag.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.10.0-11
- Use bzipped upstream tarball.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10.0-8
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-7
- Rebuild for buildId

* Sun Aug 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-6
- Update License tag for new Licensing Guidelines compliance
- Fix invalid desktop file (fix building with latest desktop-file-utils)

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-5
- FE6 Rebuild

* Sat Jun 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-4
- Add BuildRequires: flex to fix building with new stripped mock config.

* Sun May  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-3
- Add Patch3 which fixes quiting during the "try again dialog" (bz 188345)

* Fri Apr  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-2
- Remove use of a trademarked term from %%description, manpage and docs

* Wed Apr  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.10.0-1
- initial Fedora Extras package
